Subject: Re: [aqm] working group status

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 4 Feb 2015 00:05:43 +0000

> On Jan 13, 2015, at 5:09 AM, Wesley Eddy <[email-masked]> wrote:
> 
> Hi, to get 2015 started, Richard and I as chairs put together a set of
> milestone status notes for the AQM working group items.
> 
> Please note, that there are a few relatively short drafts that should
> not require much work, but which haven't been very actively discussed
> on the list.  Comments on these will be extremely useful in accelerating
> them forward.
> 
> 
> - WG Milestones:
>  - Submit AQM recommendations to IESG for publication, obsoleting
>    RFC 2309
>    - http://datatracker.ietf.org/doc/draft-ietf-aqm-recommendation/
>    - This has been in IETF Last Call and some notes are being
>      discussed from the last call comments

My understanding is that the GEN-ART review came in on 1/9, and Gorry filed an update 1/13. What is the status of the draft now?

>  - Submit first algorithm specification to IESG for publication as
>    Proposed Standard
>    - http://datatracker.ietf.org/doc/draft-ietf-aqm-codel/
>    - http://datatracker.ietf.org/doc/draft-ietf-aqm-pie/
>    - These algorithm drafts have been around for some time now, and
>      it would be good to get some comments on the present revisions
>      posted to the list (following up the Honolulu meeting threads).
>      There are some known updates planned for the CoDel draft.

Looking forward to the comments. At this point, I don’t see an obvious reason to hold the drafts up.

>      - http://datatracker.ietf.org/doc/draft-ietf-aqm-fq-implementation/
>        - This draft is short and was well-received initially as a
>          clarification to how AQM relates to FQ techniques.  Some
>          references are to older drafts, but otherwise it seems like
>          it may be complete enough to last call.  ***Further input and
>          reviews would be really helpful on this.***

It was originally posted as a predecessor to a discussion, the point being that AQM and scheduling disciplines are orthoganal topics (can be implemented together, but our fq_pie implementation is simply the two behaviors in series), and intended to end with the discussion. The WG decided it wanted to do more with it. Happy to do that, but I need guidance as to what the working group wants.